Usage
All operations require authentication.
2 operationsv1/saas/csp2
Get usage statisticsAlpha
GET
/1.0/ saas/ csp2/ {serviceName}/ usageStatistics
Returns, for each day of the timePeriod (last week, month, quarter or year), the peak and end-of-day counts of activated licenses, by license.
Path parameters
service Name
required
string
Service name
Query parameters
time Period
required
License Period Enum
The period to query
Values
lastMonthlastQuarterlastWeeklastYearResponse
200Statistics []successful operation
date
stringdate
Date of the statistics.
lines
Statistics Line []
List of lines associated to this statistics entity.
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ usageStatistics \
-H "authorization: Bearer $OVH_TOKEN"[ { "date": "2024-01-01", "lines": [ { "endOfDayCount": 0, "licenceId": 0, "licenceName": "string", "peakCount": 0 } ] }]
Get billing period peaksAlpha
GET
/1.0/ saas/ csp2/ {serviceName}/ billingPeriodPeaks
Returns the start and end dates of the current billing period and, for each license, the maximum count of simultaneously activated licenses.
Path parameters
service Name
required
string
Service name
Response
200Billing Statisticssuccessful operation
end Date
stringdate
End of the billing period
lines
Billing Statistics Line []
List of lines associated to this statistics entity.
start Date
stringdate
Start of the billing period
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ billingPeriodPeaks \
-H "authorization: Bearer $OVH_TOKEN"{ "endDate": "2024-01-01", "lines": [ { "licenceId": 0, "licenceName": "string", "peakCount": 0 } ], "startDate": "2024-01-01"}